[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#679242: marked as done (wvdial: Failed assertion on startup)

Your message dated Thu, 12 Jul 2012 23:47:18 +0000
with message-id <E1SpT6M-00048D-2s@franck.debian.org>
and subject line Bug#674006: fixed in wvstreams 4.6.1-5
has caused the Debian Bug report #674006,
regarding wvdial: Failed assertion on startup
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

674006: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=674006
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: wvdial
Version: 1.61-4.1
Severity: grave
Justification: renders package unusable

Dear Maintainer,
the application crashes on startup with the following output on the

$ wvdial E52
--> WvDial: Internet dialer version 1.61
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATZ
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
--> Sending: ATZ,”″,”internet”
ATZ,b [1d] 3,b [1d]internetb [1d]
--> Modem initialized.
wvdial: utils/wvtask.cc:409: static void WvTaskMan::_stackmaster():
Assertion `magic_number == -0x123678' failed.

I am trying to dial in using Nokia E52, connected via bluetooth (if
that is of any help).

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
(ignored: LC_ALL set to sk_SK.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wvdial depends on:
ii  debconf [debconf-2.0]   1.5.44
ii  libc6                   2.13-33
ii  libgcc1                 1:4.7.1-2
ii  libstdc++6              4.7.1-2
ii  libuniconf4.6           4.6.1-4
ii  libwvstreams4.6-base    4.6.1-4
ii  libwvstreams4.6-extras  4.6.1-4
ii  ppp                     2.4.5-5.1+b1

wvdial recommends no packages.

wvdial suggests no packages.

-- Configuration Files:
/etc/ppp/peers/wvdial [Errno 13] Prístup odmietnutý: u'/etc/ppp/peers/wvdial'
/etc/ppp/peers/wvdial-pipe [Errno 13] Prístup odmietnutý:

-- debconf information excluded

--- End Message ---
--- Begin Message ---
Source: wvstreams
Source-Version: 4.6.1-5

We believe that the bug you reported is fixed in the latest version of
wvstreams, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674006@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Johann Felix Soden <johfel@debian.org> (supplier of updated wvstreams package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA512

Format: 1.8
Date: Fri, 13 Jul 2012 00:39:24 +0200
Source: wvstreams
Binary: libwvstreams4.6-base libwvstreams4.6-extras libuniconf4.6 libwvstreams4.6-doc libwvstreams-dev uniconfd uniconf-tools
Architecture: source amd64 all
Version: 4.6.1-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Johann Felix Soden <johfel@debian.org>
 libuniconf4.6 - C++ network libraries for rapid application development
 libwvstreams-dev - Development libraries and header files for libwvstreams4.6
 libwvstreams4.6-base - C++ network libraries for rapid application development
 libwvstreams4.6-doc - Documentation for WvStreams
 libwvstreams4.6-extras - C++ network libraries for rapid application development
 uniconf-tools - Tools to interface with UniConf
 uniconfd   - Server that manages UniConf elements
Closes: 674006
 wvstreams (4.6.1-5) unstable; urgency=low
   * QA upload.
   * Disable some gcc-4.7 optimization flags to fix wrong magic_number bug.
     Thanks to Peter Drysdale <drysdalepete@gmail.com>. (Closes: #674006)
   * Disable parallel build.
   * Add Build-Depends: graphviz.
 dbcd13b5816892ed9e02f060a6d3969c9d1810f3 2214 wvstreams_4.6.1-5.dsc
 a966df2b73aaed38e50acd846206ce5c053eeb09 14653 wvstreams_4.6.1-5.debian.tar.gz
 cac164695e48c50a3397f824069be6278c02a6fb 258636 libwvstreams4.6-base_4.6.1-5_amd64.deb
 9f68498a2e0469d67f88a8a13f022e4b3d115071 507874 libwvstreams4.6-extras_4.6.1-5_amd64.deb
 b38f32cd672863458e3156948cb5325129789dbb 181668 libuniconf4.6_4.6.1-5_amd64.deb
 453dab3b17ca4d49eed9b7a9e1d838115663e1cf 1581158 libwvstreams-dev_4.6.1-5_amd64.deb
 52c2cdec1f5982e860977e249f1ab6145ac7a4d1 75458 uniconfd_4.6.1-5_amd64.deb
 c109ae0d883a1bd4010a4bd3ae34ef128821ab41 67968 uniconf-tools_4.6.1-5_amd64.deb
 e911497aaea95ab7d6fdec362a05e81ca831cc19 12058520 libwvstreams4.6-doc_4.6.1-5_all.deb
 8f764e3e6abaf72d0eb3955e556a217e2654f690f43fdf143f05ca6f07a92a99 2214 wvstreams_4.6.1-5.dsc
 331965bff9a8a4d27d4005a32956ecf142d4ecf607c6630fe49afcc084148027 14653 wvstreams_4.6.1-5.debian.tar.gz
 93b086373017c0cd0e7d7884a0edff5572d0f075879d06adf875e8f0d7b27537 258636 libwvstreams4.6-base_4.6.1-5_amd64.deb
 6dc6cbe737e6782ce5bd197c7bd5e3a7f3df9a96ed840d439519d3596d95d44a 507874 libwvstreams4.6-extras_4.6.1-5_amd64.deb
 00e50dda578e59dac4adad6c8ad59e527019b7451a2c31aa05fb5361ec167d5e 181668 libuniconf4.6_4.6.1-5_amd64.deb
 96418edb729507cd024c0da91aee532e05cce7ba83b017a87c6885453677a88d 1581158 libwvstreams-dev_4.6.1-5_amd64.deb
 707cca69ae619e8f5c1d5c50a7eb1331be5d0a5263965b685879e546678c8d98 75458 uniconfd_4.6.1-5_amd64.deb
 855920e87e3ba64eeaedaef4665f5118ad6cc2bde3910be9d14294f5b937ae9b 67968 uniconf-tools_4.6.1-5_amd64.deb
 662f410e2c6a4478490d553bad39ff08cee21e9827b919de571d896c65d61091 12058520 libwvstreams4.6-doc_4.6.1-5_all.deb
 562dfe4a758aa7f8a544ac1d3b72d273 2214 libs optional wvstreams_4.6.1-5.dsc
 83d2780666054601bad9be6109d3ee16 14653 libs optional wvstreams_4.6.1-5.debian.tar.gz
 9e1c30eeec0bc374e9978f69e40c2a81 258636 libs optional libwvstreams4.6-base_4.6.1-5_amd64.deb
 d3acacd64855718a8ea08dc2ab28938c 507874 libs optional libwvstreams4.6-extras_4.6.1-5_amd64.deb
 a51e3734d7f169a80d7a138aabc74011 181668 libs optional libuniconf4.6_4.6.1-5_amd64.deb
 c4b1672a1920b0c49f8f8a2a23d60ef6 1581158 libdevel optional libwvstreams-dev_4.6.1-5_amd64.deb
 2801f8af5a5fcdc83c40d78f2eddb7ef 75458 utils optional uniconfd_4.6.1-5_amd64.deb
 3db4f7be9e9cf7f7d16d2896c8fdfa7e 67968 utils optional uniconf-tools_4.6.1-5_amd64.deb
 938cfc666df71ecf616641bb242d5cd1 12058520 doc optional libwvstreams4.6-doc_4.6.1-5_all.deb

Version: GnuPG v1.4.12 (GNU/Linux)


--- End Message ---

Reply to: